| ISF 2.2 rev 5 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

Data Structures | Functions | Variables
fsl_fxlc95000 module documentation

## Data Structures
struct | fxlc95000_DataBuffer_t
| This structure defines the dummy DSA data buffer format. More...
struct | fxlc95000_DeviceDescriptor_t

## Functions
isf_dsa_status_t | fsl_fxlc95000_Initialize (isf_SensorHandle_t *pSensorHandle)
isf_dsa_status_t | fsl_fxlc95000_ValidateSettings (isf_SensorHandle_t *pSensorHandle, isf_dsa_SensorSettings_t *pSubSettings)
isf_dsa_status_t | fsl_fxlc95000_Configure (isf_SensorHandle_t *pSensorHandle, isf_dsa_SensorSettings_t *pSensorSettings)
isf_dsa_status_t | fsl_fxlc95000_StartData (isf_SensorHandle_t *pSensorHandle)
isf_dsa_status_t | fsl_fxlc95000_EndData (isf_SensorHandle_t *pSensorHandle)
isf_dsa_status_t | fsl_fxlc95000_Calibrate (isf_SensorHandle_t *pSensorHandle, void *pCalData)
isf_dsa_status_t | fsl_fxlc95000_Shutdown (isf_SensorHandle_t *pSensorHandle)
void | fsl_fxlc95000_PeriodicCallback (void *pSensorHandle)
isf_dsa_status_t | fsl_fxlc95000_Flash (isf_SensorHandle_t *pSensorHandle, void *pFlashData, uint8 numBytes)
isf_dsa_status_t | fsl_fxlc95000_Convert (volatile isf_SensorHandle_t *pSensorHandle, isf_SensorDataTypes_t convertToType, isf_dsa_result_types_t resultType, void *pNativeSample, void *pConvertedSample, int32 *numBytes)
| This function converts the raw sample data to the desired output type. More...

## Variables
isf_SensorTypes_t | fxlc95000_SupportedSensorTypes []
| Supported sensor and data types for FXLC95000. More...
isf_SensorDataTypes_t | fxlc95000_SupportedDataTypes []

## Detailed Description

## Function Documentation

isf_dsa_status_t fsl_fxlc95000_Calibrate | ( | isf_SensorHandle_t * | pSensorHandle,
|  | void * | pCalData
| ) |  |

Definition at line 376 of file fsl_fxlc95000_i2cspi_pedo.c.

References ISF_SUCCESS.

isf_dsa_status_t fsl_fxlc95000_Configure | ( | isf_SensorHandle_t * | pSensorHandle,
|  | isf_dsa_SensorSettings_t * | pSensorSettings
| ) |  |

Definition at line 166 of file fsl_fxlc95000_i2cspi_pedo.c.

References isf_SensorHandle_st::adapterStatus, BM_ERROR, bm_register_periodic_callback(), bm_unregister_callback(), isf_SensorHandle_st::controlData, fxlc95000_DeviceDescriptor_t::deviceHandle, fxlc95000_DeviceDescriptor_t::deviceSemaphore, DSA_ERR_CONFIGURE, DSA_ERR_PARAM, DSA_STATE_CONFIGURED_STOPPED, DSA_STATE_INITIALIZED, fsl_fxlc95000_PeriodicCallback(), fxlc95000_GetConfig(), fxlc95000_send(), fxlc95000_WriteConfig(), ISF_SUCCESS, isf_swap4byte(), fxlc95000_DeviceDescriptor_t::localCfgBuffer, fxlc95000_SensorSetting_t::nCurrentReportRate, fxlc95000_SensorSetting_t::nCurrentResolution, fxlc95000_SensorSetting_t::nMode, fxlc95000_SensorSetting_t::nRange, isf_dsa_SensorSettings_st::nSamplePeriod, isf_SensorHandle_st::pDeviceDescriptor, SensorConfig_st::pSensorSpecificSettings, isf_SensorHandle_st::pSensorStaticConfig, isf_dsa_ControlData_st::sensorSettings, fxlc95000_appConfigRegister_t::settings, and fxlc95000_DeviceDescriptor_t::token.

Here is the call graph for this function:

isf_dsa_status_t fsl_fxlc95000_Convert | ( | volatile isf_SensorHandle_t * | pSensorHandle,
|  | isf_SensorDataTypes_t | convertToType,
|  | isf_dsa_result_types_t | resultType,
|  | void * | pNativeSample,
|  | void * | pConvertedSample,
|  | int32 * | numBytes
| ) |  |

This function converts the raw sample data to the desired output type.

Definition at line 652 of file fsl_fxlc95000_i2cspi_pedo.c.

References DSA_ERR_BAD_RESULT_TYPE, DSA_ERR_BAD_SENSOR_DATA_TYPE, DSA_RESULT_TYPE_ENG_FIXED, DSA_RESULT_TYPE_ENG_FLOAT, SensorConfig_st::pSensorSpecificSettings, isf_SensorHandle_st::pSensorStaticConfig, and TYPE_RAW_ACCELERATION_3D.

Referenced by fsl_fxlc95000_Flash(), and fsl_fxlc95000_PeriodicCallback().

Here is the caller graph for this function:

isf_dsa_status_t fsl_fxlc95000_EndData | ( | isf_SensorHandle_t * | pSensorHandle | ) |

Definition at line 315 of file fsl_fxlc95000_i2cspi_pedo.c.

References isf_SensorHandle_st::adapterStatus, BM_ERROR, bm_stop(), fxlc95000_DeviceDescriptor_t::deviceHandle, fxlc95000_DeviceDescriptor_t::deviceSemaphore, DSA_ERR_END_DATA, DSA_ERR_PARAM, DSA_STATE_CONFIGURED_STARTED, DSA_STATE_CONFIGURED_STOPPED, fxlc95000_send(), ISF_SUCCESS, isf_SensorHandle_st::pDeviceDescriptor, SensorConfig_st::pSensorSpecificSettings, isf_SensorHandle_st::pSensorStaticConfig, and fxlc95000_DeviceDescriptor_t::token.

Here is the call graph for this function:

isf_dsa_status_t fsl_fxlc95000_Flash | ( | isf_SensorHandle_t * | pSensorHandle,
|  | void * | pFlashData,
|  | uint8 | numBytes
| ) |  |

Definition at line 530 of file fsl_fxlc95000_i2cspi_pedo.c.

References CI_READ_WRITE_ADDR_LEN, CI_READ_WRITE_HDR_LEN, CI_READ_WRITE_MAX_LEN, DSA_ERR_BAD_RESULT_TYPE, DSA_ERR_PARAM, FALSE, fxlc95000_Sensor_Specific_Settings_t::flashPostprocessCommands, fxlc95000_Sensor_Specific_Settings_t::flashPreprocessCommands, fsl_fxlc95000_Convert(), fxlc95000_send(), ISF_SUCCESS, fxlc95000_CommandList_t::numCommands, fxlc95000_Command_t::offset, isf_SensorHandle_st::pDeviceDescriptor, SensorConfig_st::pSensorSpecificSettings, isf_SensorHandle_st::pSensorStaticConfig, and TRUE.

Here is the call graph for this function:

isf_dsa_status_t fsl_fxlc95000_Initialize | ( | isf_SensorHandle_t * | pSensorHandle | ) |

Definition at line 56 of file fsl_fxlc95000_i2cspi_pedo.c.

References isf_SensorHandle_st::adapterStatus, fxlc95000_DeviceDescriptor_t::cDescriptor, SensorConfig_st::channelId, COMM_STATE_OK, SensorConfig_st::commInfo, fxlc95000_DeviceDescriptor_t::deviceHandle, fxlc95000_DeviceDescriptor_t::deviceSemaphore, dm_channel_get_state(), dm_channel_init(), dm_channel_start(), dm_device_open(), DSA_ERR_INITIALIZE, DSA_ERR_PARAM, DSA_STATE_INITIALIZED, DSA_STATE_NOT_INITIALIZED, ISF_SUCCESS, fxlc95000_DeviceDescriptor_t::pCurrentSample, isf_SensorHandle_st::pDeviceDescriptor, and isf_SensorHandle_st::pSensorStaticConfig.

Here is the call graph for this function:

void fsl_fxlc95000_PeriodicCallback | ( | void * | pSensorHandle | ) |

Definition at line 431 of file fsl_fxlc95000_i2cspi_pedo.c.

References isf_SensorHandle_st::adapterStatus, isf_SensorHandle_st::controlData, fxlc95000_DeviceDescriptor_t::deviceSemaphore, DSA_STATE_CONFIGURED_STARTED, fsl_fxlc95000_Convert(), fxlc95000_GetData(), isf_fifo_el_get_insert_pointer(), isf_fifo_el_increment(), ISF_FIFO_FULL, isf_fifo_lock(), isf_fifo_unlock(), isf_dsa_ControlData_st::nEventFieldIndex, fxlc95000_DeviceDescriptor_t::pCurrentSample, isf_SensorHandle_st::pDeviceDescriptor, isf_dsa_ControlData_st::pEventGroup, isf_dsa_SensorSettings_st::pSampleBufferInfo, isf_dsa_SensorSettings_st::resultFormat, isf_dsa_SensorSettings_st::resultType, isf_dsa_ControlData_st::sensorSettings, fxlc95000_DataBuffer_t::timeStamp, and TYPE_NATIVE_SENSOR_DATA_TYPE.

Referenced by fsl_fxlc95000_Configure().

Here is the call graph for this function:

Here is the caller graph for this function:

isf_dsa_status_t fsl_fxlc95000_Shutdown | ( | isf_SensorHandle_t * | pSensorHandle | ) |

Definition at line 396 of file fsl_fxlc95000_i2cspi_pedo.c.

References isf_SensorHandle_st::adapterStatus, bm_unregister_callback(), fxlc95000_DeviceDescriptor_t::deviceHandle, DSA_ERR_PARAM, DSA_STATE_INITIALIZED, fxlc95000_send(), ISF_SUCCESS, isf_SensorHandle_st::pDeviceDescriptor, SensorConfig_st::pSensorSpecificSettings, isf_SensorHandle_st::pSensorStaticConfig, and fxlc95000_DeviceDescriptor_t::token.

Here is the call graph for this function:

isf_dsa_status_t fsl_fxlc95000_StartData | ( | isf_SensorHandle_t * | pSensorHandle | ) |

Definition at line 256 of file fsl_fxlc95000_i2cspi_pedo.c.

References isf_SensorHandle_st::adapterStatus, BM_ERROR, bm_start(), fxlc95000_DeviceDescriptor_t::deviceHandle, fxlc95000_DeviceDescriptor_t::deviceSemaphore, DSA_ERR_PARAM, DSA_ERR_START_DATA, DSA_STATE_CONFIGURED_STARTED, DSA_STATE_CONFIGURED_STOPPED, FALSE, fxlc95000_send(), ISF_SUCCESS, fxlc95000_CommandList_t::numCommands, isf_SensorHandle_st::pDeviceDescriptor, SensorConfig_st::pSensorSpecificSettings, isf_SensorHandle_st::pSensorStaticConfig, fxlc95000_Sensor_Specific_Settings_t::startDataCommands, and fxlc95000_DeviceDescriptor_t::token.

Here is the call graph for this function:

isf_dsa_status_t fsl_fxlc95000_ValidateSettings | ( | isf_SensorHandle_t * | pSensorHandle,
|  | isf_dsa_SensorSettings_t * | pSubSettings
| ) |  |

Definition at line 133 of file fsl_fxlc95000_i2cspi_pedo.c.

References DSA_ERR_PARAM, and fxlc95000_ValidateConfig().

Here is the call graph for this function:

## Variable Documentation

isf_SensorDataTypes_t fxlc95000_SupportedDataTypes[]

Definition at line 28 of file fsl_fxlc95000_i2cspi_pedo.c.

isf_SensorTypes_t fxlc95000_SupportedSensorTypes[]

Supported sensor and data types for FXLC95000.

Supported sensor and data types for FXLC95000.

Definition at line 27 of file fsl_fxlc95000_i2cspi_pedo.c.

- © Freescale Semiconductor, Inc. 2016. All Rights Reserved.